Redmine - Defect #11118

"Maximum file size" displayed on upload forms is incorrect
Resolution: Fixed Affected version: 2.0.1
Description

Hi there!

| just discovered a small issue: Setting "Maximum attachment size" in the Administrator's panel to 25600 kB causes a "Maximum file

size" to be shown as 30 MB.

Steps to reproduce:

. Change to a project

. Go to the file tab

. Select "New file"

. Observe "Maximum file size" being displayed as 30 MB
. Go back to a project

. Select "New issue”

. Observe "Maximum size" being displayed as 30 MB
My system:

)

Debian Squeeze

PostgreSQL 8.4.11-0squeeze1
Ruby 1.8.7.302-2squeeze1
Rails 3.2.3

Redmine 2.0.1

. Log in as administrator and set "Maximum attachment size" to 25600 kB

Associated revisions

Revision 9782 - 2012-06-09 09:46 - Jean-Philippe Lang

Change in Rails' for handling localized number precision (#11118).

Revision 9784 - 2012-06-09 09:57 - Jean-Philippe Lang
Restored KB instead of kB (#11118).

Revision 9794 - 2012-06-09 16:09 - Jean-Philippe Lang

Set human size precision to Rails' default which is now 3 (#11118).

History

#1 - 2012-06-08 20:44 - Jean-Philippe Lang

- Status changed from New to Confirmed

Reproduced with language set to English. Works fine with language set to French.

#2 - 2012-06-08 20:55 - Etienne Massip

Please also have a look at RE: Unit for Maximum Attachment Size - KiB or kB.

#3 - 2012-06-09 09:47 - Jean-Philippe Lang
- Status changed from Confirmed to Resolved

- Target version set to 2.0.3
https://www.redmine.org/boards/1/topics/31215?r=31218#message-31218

- Resolution set to Fixed

Fixed in r9782. It seems that Rails now uses the precision as the number precision instead of the decimal precision in 2.x.

#4 - 2012-06-09 10:00 - Jean-Philippe Lang

Etienne Massip wrote:

Please also have a look at RE: Unit for Maximum Attachment Size - KiB or kB.

You're right, reverted to KB in r9784. | personally dislike IEC prefixes.

#5 - 2012-06-09 16:20 - Jean-Philippe Lang
- Subject changed from "Maximum file size" differs from "Maximum attachment size" to "Maximum file size" displayed on upload forms is incorrect

- Status changed from Resolved to Closed

Merged in 2.0-stable.

#6 - 2012-06-09 16:34 - Etienne Massip
- Status changed from Closed to Reopened
Jean-Philippe Lang wrote:

Etienne Massip wrote:

Please also have a look at RE: Unit for Maximum Attachment Size - KiB or kB.

You're right, reverted to KB in r9784. | personally dislike IEC prefixes.

Acttually I'm right about the inconsistency betweenthe prefix used in settings tkB for 1000 bytes) and the actual chech based on a Numeric#kilobytes
of 1024 bytes, but was wrong about the revert: KB is indeed not a legal prefix. So, maybe we should either set kB back again and change the check
to use number_human_format_size :prefix => :si or set the prefix in settings to 'KiB' which is arguabilly not very understandable yet?

#7 - 2012-06-09 16:52 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Rails' default is KB and I'm fine with it. According to Wikipedia the symbol for Kilobyte is kB or KB.
